<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head th:replace="fragments/bootstrap :: bootstrap">
    <meta charset="UTF-8">
    <title>View Employees</title>
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.6.3/css/all.css">
</head>
<body>
    <nav th:replace="fragments/navbar :: navbar"></nav>

    <center>
        <div class="container">
            <div th:if="${employee == null}">
                Employee not Found
            </div>
            <div th:if="${employee}">
                <div class="card-wrapper">
                    <div class="card">
                        <img src="/static/images/background1.png" th:src="@{images/background1.png}" alt="card background" class="card-img">
                        <img src="/static/images/profile1.webp" th:src="@{images/profile1.webp}" alt="profile image" class="profile-img">
                        <h1 th:text="${employee.first_name + ' ' + employee.last_name}"></h1>
                        <div class="row">
                            <div class="col-6">
                                <p class="job-id" th:text="${employeeId}">Id:</p>
                            </div>
                            <div class="col-6">
                                <p class="job-number" th:text="${employee.employee_number}"></p>
                            </div>
                        </div>
                        <p class="info" th:text="${employee.username}"></p>
                        <p class="info" th:text="${employee.email}"></p>
                        <ul class="social-media">
                            <li><a href="#"><i class="fab fa-facebook-square"></i></a></li>
                            <li><a href="#"><i class="fab fa-twitter-square"></i></a></li>
                            <li><a href="#"><i class="fab fa-instagram"></i></a></li>
                            <li><a href="#"><i class="fab fa-google-plus-square"></i></a></li>
                        </ul>
                        <a th:href="${'/employees/' + employee.id + '/edit'}" class="btn btn-outline-success" role="button">Edit Employee</a>
                    </div>
                </div>
            </div>
        </div>
    </center>

    <footer th:replace="fragments/footer :: footer"></footer>
</body>
</html>
